<?php
 namespace Module\AdminSpecCateDefault;
 use TCMS\Controller;
 use Model\SpecCateValueModel;
 class SpecCateValueController extends Controller {
 public function __construct() {
 }
 public function index() {
 return $this->view();
 }
 public function create() {
 return $this->view();
 }
 public function postCreate(SpecCateValueModel $model) {
 if($model->isValid()) {
 if($model->insert()) return route_redirect('create', 'Thêm thành công');
 $this->view->addErrorMessage('error', 'Thêm thất bại');
 }
 return $this->view($model);
 }
 public function update($id) {
 $model = new SpecCateValueModel();
 $data = $model->find($id);
 if(!$data) return route_redirect('index', 'Id không tồn tại', 'error');
 return $this->view($data);
 }
 public function postUpdate(SpecCateValueModel $model) {
 if($model->isValid()) {
 if($model->update()) return route_redirect('index', 'Cập nhật thành công');
 $this->view->addErrorMessage('error', 'Cập nhật thất bại');
 }
 return $this->view($model);
 }
 public function postDelete($id) {
 $model = new SpecCateValueModel();
 $isSuccess = $model->delete($id);
 if(\Request::isAjax()) return $this->json(['success' => $isSuccess, 'message' => $isSuccess ? 'Xóa thành công' : 'Xóa thất bại']);
 return route_redirect('index', $isSuccess ? 'Xóa thành công' : 'Xóa thất bại');
 }
 }
